View Issue Details

IDProjectCategoryView StatusLast Update
0007972Talerwallet-corepublic2024-01-20 18:24
Reportersebasjm Assigned Tosebasjm  
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version0.9.5 
Target Version0.9.4Fixed in Version0.9.4 
Summary0007972: do not return transaction with balance change of 0
Descriptionwallet core should not return transaction that don't change balance.

from conversation:
I see transaction errors in the Android transaction list with "Coin expiry change fee" of 0 and an empty (!) "Error:". They sometimes disappear after a while. I don't think these are really errors, and with a balance change of 0 they should probably not be shown either...

TagsNo tags attached.

Activities

sebasjm

2024-01-17 19:20

developer   ~0020898

having transaction with effective amount = 0 could happen, and i don't think it's good idea to hide them.

I have found that refresh trasactions builder was returning effective amount = 0 when the refresh had fee, that's was wrong and now fixed.

sebasjm

2024-01-17 19:21

developer   ~0020899

394f70b91

Issue History

Date Modified Username Field Change
2023-10-31 14:06 sebasjm New Issue
2023-10-31 14:06 sebasjm Status new => assigned
2023-10-31 14:06 sebasjm Assigned To => sebasjm
2024-01-17 19:20 sebasjm Note Added: 0020898
2024-01-17 19:21 sebasjm Status assigned => resolved
2024-01-17 19:21 sebasjm Resolution open => fixed
2024-01-17 19:21 sebasjm Note Added: 0020899
2024-01-20 18:24 Christian Grothoff Fixed in Version => 0.9.4
2024-01-20 18:24 Christian Grothoff Target Version 0.9.5 => 0.9.4